%   Creating/Naming Variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% doubles (arrays)
x = 5
X = 6
X = 7;
% X is now overwritten from 6 to 7
% 2x = 7
% Do NOT put numbers or other symbold before letters
x2 = 7

y = [1,2;3,4]

% cells
z = {1,2;3,y}

% Characters (strings)
a = 'Hello'
b = ' ';
c = 'World!';
d = strcat(a,b,c)
e = [a,b,c]

% tables
Car = {'Explorer';'Corolla';'Focus';'Impala';'Civic';'Malibu';'Accord';'Altima';'Prius'};
mpg = [29;35;40;28;42;36;38;39;53];
T = table(Car,mpg);


%   Common Built-In Functions
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Importing/Reading Data
cd('C:\Users\AJD44\Desktop\MATLAB Tutorial\Additional Files')

Data = readmatrix('Sinusoid_example.csv');
Data1 = readmatrix('Sinusoid_example.xlsx','Sheet',1);

Data2 = readtable('Sinusoid_example.csv');

cd('C:\Users\AJD44\Desktop\MATLAB Tutorial') % make sure to change back before calling additional functions

%   Simple Arithmetic
x = 5+7
x = x-6
x = 6/2+2*1.5

Y = max(Data(:,2))  % matrix notation is row, column; so all rows of column 2
Y = min(Data(:,2))
Y = mean(Data(:,2))

Z = zeros(2,3)
Z = NaN(2,3)
size(Z)
length(Z)   %used for doubles tables use 'height'

% clc         %clears command window only
% clear all   %clears workspace
% close all   %closes figures
% close all hidden  %closes all figures even if hidden

%   Plotting
plot(Data(:,1),Data(:,2))
plot(Data(:,1),Data(:,2),'Color','r')

x = linspace(0,(2*pi),length(Data(:,1)))
plot(x,Data(:,2))

hold on
plot(Data(:,1),Data(:,2))

%   Loops
for i = 1:length(Data(:,1))
    rad(i,1) = Data(i,1)*2*pi/100;
end

i = 1:length(Data(:,1))
i = 1:2:10

while rad(end,1)>pi
    rad(end) = []; % empty square brackets deletes the entry, or leaves cell empty
end
    
if rad(end,1)<2*pi
    rad = linspace(0,(2*pi),101);
    rad = rad'; % apostrophe transposes the matrix
end

% also have elseif and else for multiple conditions
% additionally you can use || for 'OR' and && for 'AND' statements
if length(rad)>60 || rad(end,1)>1.5pi
    check = 1;
else
    check = 0;
end

isnan(Z(1,1))
isnan(rad(1,1))

s1 = 'hello';
s2 = 'Hello';
s3 = 'lo';
strcmp(s1,s2)
strcmp(s3,s1(end-1:end))

%   Creating a Function
x = 5;
y = 3;
[output1,output2] = Example_Function(x,y);
% output1 will be x+y and output 2 wll be x-y

%    > Editing & Debugging
%       - Commenting
%       - Breakpoints
%       - Options for running code

% Hit the ground RUNNING!



